/// <reference path="../Say.ts" />
class SayItalic extends Say {
    public async getPureElements () : Promise<Array<Element | Text>> {
        let paragraphs = await this.getParagraphs();

        let elements = paragraphs.length == 1 ? paragraphs[0] : Array.prototype.concat.apply([], paragraphs);

        let b = document.createElement("i");
        elements.forEach((element) => {
            b.appendChild(element);
        });
        return [b];
    }
}